com.mapinfo.midev.language.aggregation

## Class AggregationLanguage

- java.lang.Object
- - com.mapinfo.midev.language.aggregation.AggregationLanguage

All Implemented Interfaces:
  ILanguage

    public final class AggregationLanguage
    extends Object
    implements ILanguage

Identifier used to signify that an `IDataSourceTable` supports the aggregation language.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static AggregationLanguage` `getInstance()` Returns the one and only instance of this class.
`String` `getName()` Returns the name of the language as a String.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static AggregationLanguage getInstance()

Returns the one and only instance of this class.

Returns:
  the one and only instance of this class.

#### getName

    public String getName()

Description copied from interface: `ILanguage`
Returns the name of the language as a String. A language has a name that is intended to be used for logging and diagnostic purposes. As such, it does not need to be unique. However, it should be a meaningful short name for the language.

Specified by:
  `getName` in interface `ILanguage`
Returns:
  the name of the language as a String